TelnetTask.TelnetSubTask (Apache Ant API)
Date: 2016-04-24

org.apache.tools.ant.taskdefs.optional.net

## Class TelnetTask.TelnetSubTask

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask

- Direct Known Subclasses:
    TelnetTask.TelnetRead, TelnetTask.TelnetWrite
  Enclosing class:
    TelnetTask

      public class TelnetTask.TelnetSubTask
      extends java.lang.Object

  This class is the parent of the Read and Write tasks. It handles the common attributes for both.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `taskString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelnetTask.TelnetSubTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addText(java.lang.String s)` the message as nested text
    `void` | `execute(TelnetTask.AntTelnetClient telnet)` Execute the subtask.
    `void` | `setString(java.lang.String s)` the message as an attribute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taskString

          protected java.lang.String taskString

  - ### Constructor Detail

    - #### TelnetTask.TelnetSubTask

          public TelnetTask.TelnetSubTask()

  - ### Method Detail

    - #### execute

          public void execute(TelnetTask.AntTelnetClient telnet)
                       throws BuildException

      Execute the subtask.
      Parameters:
        `telnet` - the client
      Throws:
        `BuildException` - always as it is not allowed to instantiate this object

    - #### addText

          public void addText(java.lang.String s)

      the message as nested text
      Parameters:
        `s` - the nested text

    - #### setString

          public void setString(java.lang.String s)

      the message as an attribute
      Parameters:
        `s` - a `String` value